# BreakoutErrorScene Class Reference

`#include <BreakoutErrorScene.h>`

Inheritance diagram for BreakoutErrorScene:

List of all members.

## Public Member Functions
| BreakoutErrorScene ()
| ~BreakoutErrorScene ()
virtual void | Initialise ()
virtual void | Draw ()
virtual void | Update ()
virtual void | Shutdown ()
virtual void | Activate ()
virtual void | Deactivate ()
virtual bool | HandleEvent (IEvent *pEvent)
## Protected Attributes
bool | m_bIsActive
std::vector< SpriteID > | m_vTextLines

## Detailed Description

Definition at line 6 of file BreakoutErrorScene.h.

## Constructor & Destructor Documentation

BreakoutErrorScene::BreakoutErrorScene | ( |  | ) |

Definition at line 8 of file BreakoutErrorScene.cpp.

BreakoutErrorScene::~BreakoutErrorScene | ( |  | ) |

Definition at line 13 of file BreakoutErrorScene.cpp.

## Member Function Documentation

void BreakoutPauseScene::Activate | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 68 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Deactivate | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 73 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Draw | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 34 of file BreakoutPauseScene.cpp.

bool BreakoutPauseScene::HandleEvent | ( | IEvent * | pEvent | ) | `[virtual, inherited]`

Implements IEventListener.

Definition at line 78 of file BreakoutPauseScene.cpp.

void BreakoutErrorScene::Initialise | ( |  | ) | `[virtual]`

Reimplemented from BreakoutPauseScene.

Definition at line 17 of file BreakoutErrorScene.cpp.

void BreakoutPauseScene::Shutdown | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 63 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Update | ( |  | ) | `[virtual, inherited]`

Implements IScene.

Definition at line 58 of file BreakoutPauseScene.cpp.

## Member Data Documentation

bool BreakoutPauseScene::m_bIsActive`[protected, inherited]`

Definition at line 25 of file BreakoutPauseScene.h.

std::vector<SpriteID> BreakoutPauseScene::m_vTextLines`[protected, inherited]`

Definition at line 26 of file BreakoutPauseScene.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutErrorScene.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutErrorScene.cpp